Debian Bug report logs - #270060
cdrtools: GPL or not GPL? The neverending story

version graph

Package: cdrtools; Maintainer for cdrtools is (unknown);

Reported by: Andreas Metzler <ametzler@downhill.at.eu.org>

Date: Sun, 5 Sep 2004 08:18:01 UTC

Severity: serious

Fixed in version cdrtools/4:2.01+01a01-1

Done: Joerg Jaspert <joerg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#270060; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
New Bug report received and forwarded. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdrtools: GPL or not GPL? The neverending story
Date: Sun, 5 Sep 2004 10:03:16 +0200
Package: cdrtools
Severity: serious
Justification: Copyright

Let's give this thread
http://lists.debian.org/debian-legal/2004/09/msg00003.html
a bug number.

--------------------------------------------------
Glenn Maynard:
http://lists.debian.org/debian-legal/2004/09/msg00006.html
> This software is under GPL but you should read the following
> clarifications:
> 
> 
> -       You may not modify certain copyright messages in cdrecord.c
> 
>         See cdrecord.c for further information.
> 
> 
> -       You may (with a few exceptions) not modify the location of the
>         configuration file /etc/default/cdrecord.
> 
>         See defaults.c for further information.
> 
> Please note that this is just the way I interpret the GPL and as this
> is my software, users should follow my interpretation of the GPL and not
> use their own different interpretations.
[...]
I concur with Mathieu Roy: this is not an interpretation that follows
from the GPL.  The GPL clearly says you can do certain things and can
not do certain other things; this "interpretation" contradicts the
text of the GPL.
[...]
>  -=-=-=-= cdrecord/cdrecord.c (sorry for linewrapping) =-=-=-=-
> 
> [...]
>       /*
>        * Begin restricted code for quality assurance.
>        *
>        * Warning: you are not allowed to modify or to remove the
>        * Copyright and version printing code below!

This is still clearly non-free.  Requiring an appropriate copyright
notice is acceptable; prohibiting me from modifying the code that does
so is not.
[...]
>       /*
>        * WARNING you are only allowed to change this filename if you also
>        * change the documentation and add a statement that makes clear
>        * where the official location of the file is why you did choose a
>        * nonstandard location and that the nonstandard location only refers
>        * to inofficial cdrecord versions.
>        *
>        * I was forced to add this because some people change cdrecord without
>        * rational reason and then publish the result. As those people
>        * don't contribute work and don't give support, they are causing extra
>        * work for me and this way slow down the cdrecord development.
>        */
>       return (defltopen("/etc/default/cdrecord"));

Requiring that I explain (or even have) rationale for changes can't possibly
be free.
--------------------------------------------------

--------------------------------------------------
http://lists.debian.org/debian-legal/2004/09/msg00040.html
Andreas Metzler:
Brian Thomas Sniffen <bts <at> alum.mit.edu> writes:
[...]
> There's an additional problem: cdrtools, at least as Debian
> distributes it, uses some code for which Schilling is not the
> copyright holder.  The HFS support, for example, is copyright Robert
> Leslie, and licensed under the normal, sanely interpreted GPL.
> 
> cdrecord is not distributable by anybody, including Schilling, in this
> state.
[...]

cdrtools consists of a bunch of largely independent applications and libraries
(e.g cdrecord, readcd, mkisofs, cdda2wav), debian/copyright lists the licenses
and copyright holders in detail.

The two issues mentioned in this thread influence different parts of cdrtools:

* defaults.c       /*
         * WARNING you are only allowed to change this filename if you also
         * change the documentation and add a statement that makes clear
         * where the official location of the file is why you did choose a
         * nonstandard location and that the nonstandard location only refers
         * to inofficial cdrecord versions.
         *
         * I was forced to add this because some people change cdrecord without
         * rational reason and then publish the result. As those people
         * don't contribute work and don't give support, they are causing extra
         * work for me and this way slow down the cdrecord development.
         */

This one is used and linked against all applications of cdrtools since 2.01a26
(previously only in cdrecord). If it is GPL incompatible it indeed breaks the
e.g. mkisofs' and cdda2wav's original copyrights.

The second issue
         * If you modify cdrecord you need to include additional version
         * printing code that [...]
in cdrecord/cdrecord.c only applies to cdrecord which is completely copyrighted
by JS. Therefore he is able to license it as GPL+restrictions and if the
restrictions are still DFSG free we are able to ship it as part of Debian/main.
- If cdrtools stopped being distributed as whole and would be split into
separate tarballs for the different applications, because otherwise this part of
GPL ...

--------------------------
But when you distribute the same sections as part of a whole which is a work
based on the Program, the distribution of the whole must be on the terms of this
License, whose permissions for other licensees extend to the entire whole, and
thus to each and every part regardless of who wrote it.
--------------------------

... could give us a headache.
--------------------------------------------------

--------------------------------------------------
Glenn Maynard http://lists.debian.org/debian-legal/2004/09/msg00044.html
On Fri, Sep 03, 2004 at 10:09:31AM +0000, Andreas Metzler wrote:
> The second issue
>          * If you modify cdrecord you need to include additional version
>          * printing code that [...]
> in cdrecord/cdrecord.c only applies to cdrecord which is completely copyrighted
> by JS. Therefore he is able to license it as GPL+restrictions and if the
> restrictions are still DFSG free we are able to ship it as part of Debian/main.

Only if the implementation of that license is clear and consistent.  I
don't believe a work under the GPL with "clarifications" that don't
follow from the GPL in any way is either.

If he wants something like the GPL with extra restrictions, he should
follow the procedure for modifying the GPL: rename it (the CDRPL),
remove the preamble, and actually modify the text of the license.
--------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#270060; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Ramón Rey Vicente <ramon.rey@hispalinux.es>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #10 received at 270060@bugs.debian.org (full text, mbox):

From: Ramón Rey Vicente <ramon.rey@hispalinux.es>
To: Debian Bug Tracking System <270060@bugs.debian.org>
Subject: cdrtools: GPL
Date: Tue, 26 Oct 2004 19:43:49 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: cdrtools
Followup-For: Bug #270060


Hi!

I think the author of cdrtools is against GPL license of his software.
He licensed cdrtools GPL and then, added a few restrictions based in his
misinterpretation of the GPL. For my, its GPL and this bug must be
closed.

The other option is send a question to the Free Software Foundation and
follow the answer the FSF could give us.

- -- System Information:
Debian Release: 3.1
~  APT prefers unstable
~  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i586)
Kernel: Linux 2.6.9-mm1
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=ANSI_X3.4-1968)
(ignored : LC_ALL set to C)
- --
Ramón Rey Vicente <ramon.rey en hispalinux.es>
JID rreylinux@jabber.org - GPG public key id 0x9F28E377
GPG Fingerprint 0BC2 8014 2445 51E8 DE87  C888 C385 A9D3 9F28 E377
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBfozVw4Wp058o43cRAo3PAKCMmwxLeO1+I6aomHFnNvcxmg1V/wCfUGcK
HfklH6q/hNC7wFpMqQjpwo4=
=p9qz
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#270060; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #15 received at 270060@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 270060@bugs.debian.org, 270060-submitter@bugs.debian.org
Subject: So what's going to happen?
Date: Wed, 17 Nov 2004 20:45:09 +0100
What is the plan for addressing this RC bug?  Should cdrtools be moved
to non-free?

-- 
Thomas Hood




Message sent on to Andreas Metzler <ametzler@downhill.at.eu.org>:
Bug#270060. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#270060; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #23 received at 270060@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Thomas Hood <jdthood@aglu.demon.nl>, 270060@bugs.debian.org
Cc: 270060-submitter@bugs.debian.org
Subject: Re: Bug#270060: So what's going to happen?
Date: Wed, 17 Nov 2004 23:23:08 +0100
On Wed, Nov 17, 2004 at 08:45:09PM +0100, Thomas Hood wrote:
> What is the plan for addressing this RC bug?  Should cdrtools be moved
> to non-free?

A really good question, given the rdepends...

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Message sent on to Andreas Metzler <ametzler@downhill.at.eu.org>:
Bug#270060. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#270060; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #31 received at 270060@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: 270060@bugs.debian.org
Subject: Debian or not Debian the never ending story.
Date: Mon, 13 Dec 2004 15:53:55 +0100
It is _really_ bad social practice to first discuss things 
with the Author and stop the conversation with the statement:

	"Of course, cdrtools is a package that is compliant
	to our Open Source rules".

and a few days later starting to publish the exact contrary
position without even sending a notice to the Author.

Neither the License of cdrtools did change, nor the rules
to contrue the license have been changed by the Author.

Of course, _before_ this "bug" has been filed first, there have 
been a few alpha releases that did try a wrong approach to 
deal with a license violation by SuSE. This wrong approach has 
been withdrawn and _after_ a negotioation with Debian people 
did take place, a cdrtools-2.01-final has been released.
The cdrtools-2.01-final release has been made in congruence with 
the Debian rules.

If Debian does start to change it's rules, Debian seems to be
unreliable. If Debian people are not willing to discuss or even
inform about the problems that are only a result of the changes 
_inside_ Debian, it seemd that there is a heavy social problem 
inside Debian that should be solved.



Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de		(uni)  If you don't have iso-8859-1
       schilling@fokus.fraunhofer.de	(work) chars I am J"org Schilling
 URL:  http://www.fokus.fraunhofer.de/usr/schilling ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#270060; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #36 received at 270060@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>, 270060@bugs.debian.org
Subject: Re: Bug#270060: Debian or not Debian the never ending story.
Date: Mon, 13 Dec 2004 18:35:36 +0100
On Mon, Dec 13, 2004 at 03:53:55PM +0100, Joerg Schilling wrote:
> 
> It is _really_ bad social practice to first discuss things 
> with the Author and stop the conversation with the statement:
> 
> 	"Of course, cdrtools is a package that is compliant
> 	to our Open Source rules".
> 
> and a few days later starting to publish the exact contrary
> position without even sending a notice to the Author.

Hmm, the only problem with this bug is that the maintainer was a bit
slow in closing it. It was known (at least to me and some other people
from the release team) that it isn't a issue anymore. Sorry
if the existance of the bug has irritated you, but the maintainer didn't
saw it as an issue anymore and so it is more a problem of correct bug
handling than anything worse (especially there was no need to contact
you as the issue was believed to be solved).

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#270060; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #41 received at 270060@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, djpig@debian.org, 270060@bugs.debian.org
Subject: Re: Bug#270060: Debian or not Debian the never ending story.
Date: Mon, 13 Dec 2004 18:46:11 +0100
Frank Lichtenheld <djpig@debian.org> wrote:

> On Mon, Dec 13, 2004 at 03:53:55PM +0100, Joerg Schilling wrote:
> > 
> > It is _really_ bad social practice to first discuss things 
> > with the Author and stop the conversation with the statement:
> > 
> > 	"Of course, cdrtools is a package that is compliant
> > 	to our Open Source rules".
> > 
> > and a few days later starting to publish the exact contrary
> > position without even sending a notice to the Author.
>
> Hmm, the only problem with this bug is that the maintainer was a bit
> slow in closing it. It was known (at least to me and some other people
> from the release team) that it isn't a issue anymore. Sorry
> if the existance of the bug has irritated you, but the maintainer didn't
> saw it as an issue anymore and so it is more a problem of correct bug
> handling than anything worse (especially there was no need to contact
> you as the issue was believed to be solved).

OK, from the text I could read on the web and from the fact that Debian 
did not include cdrtools-2.01-final I was asuming that there is still
a problem.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de		(uni)  If you don't have iso-8859-1
       schilling@fokus.fraunhofer.de	(work) chars I am J"org Schilling
 URL:  http://www.fokus.fraunhofer.de/usr/schilling ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#270060; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #46 received at 270060@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 270060@bugs.debian.org
Subject: Get off your ...
Date: Sat, 08 Jan 2005 00:16:48 +0100
Maintainer: Get off your arse and deal with this bug report which has
been open for four months without any reply from you.
-- 
Thomas Hood <jdthood@aglu.demon.nl>




Reply sent to Joerg Jaspert <joerg@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #51 received at 270060-close@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: 270060-close@bugs.debian.org
Subject: Bug#270060: fixed in cdrtools 4:2.01+01a01-1
Date: Sat, 08 Jan 2005 16:17:13 -0500
Source: cdrtools
Source-Version: 4:2.01+01a01-1

We believe that the bug you reported is fixed in the latest version of
cdrtools, which is due to be installed in the Debian FTP archive:

cdda2wav_2.01+01a01-1_i386.deb
  to pool/main/c/cdrtools/cdda2wav_2.01+01a01-1_i386.deb
cdrecord_2.01+01a01-1_i386.deb
  to pool/main/c/cdrtools/cdrecord_2.01+01a01-1_i386.deb
cdrtools-doc_2.01+01a01-1_all.deb
  to pool/main/c/cdrtools/cdrtools-doc_2.01+01a01-1_all.deb
cdrtools_2.01+01a01-1.diff.gz
  to pool/main/c/cdrtools/cdrtools_2.01+01a01-1.diff.gz
cdrtools_2.01+01a01-1.dsc
  to pool/main/c/cdrtools/cdrtools_2.01+01a01-1.dsc
cdrtools_2.01+01a01.orig.tar.gz
  to pool/main/c/cdrtools/cdrtools_2.01+01a01.orig.tar.gz
mkisofs_2.01+01a01-1_i386.deb
  to pool/main/c/cdrtools/mkisofs_2.01+01a01-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 270060@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joerg Jaspert <joerg@debian.org> (supplier of updated cdrtools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  8 Jan 2005 19:55:19 +0100
Source: cdrtools
Binary: cdrtools-doc cdda2wav mkisofs cdrecord
Architecture: source all i386
Version: 4:2.01+01a01-1
Distribution: unstable
Urgency: low
Maintainer: Joerg Jaspert <joerg@debian.org>
Changed-By: Joerg Jaspert <joerg@debian.org>
Description: 
 cdda2wav   - Creates WAV files from audio CDs
 cdrecord   - command line CD writing tool
 cdrtools-doc - Documentation for the cdrtools package-suite
 mkisofs    - Creates ISO-9660 CD-ROM filesystem images
Closes: 270060
Changes: 
 cdrtools (4:2.01+01a01-1) unstable; urgency=low
 .
   * New Upstream 2.01.01a01
   * We have a clarification from Upstream on the license issue. (Closes: #270060)
   * Removed Andreas Metzler from Co-Maintainer on his wish.
     THANKS for all your good work in the past Andreas!
Files: 
 70bff463c96f833954bc5debaa6b74ef 766 otherosfs optional cdrtools_2.01+01a01-1.dsc
 fc085b5d287355f59ef85b7a3ccbb298 1738983 otherosfs optional cdrtools_2.01+01a01.orig.tar.gz
 56408956ffc86954038e7b02184073ac 109537 otherosfs optional cdrtools_2.01+01a01-1.diff.gz
 903cacabcad8208cb99e9844bbd18b20 215810 doc optional cdrtools-doc_2.01+01a01-1_all.deb
 470752ff5c8a8921ae9289407ae4ad82 577496 otherosfs optional cdrecord_2.01+01a01-1_i386.deb
 a8e0bed9b97f1232a5f9f439f7f63b73 526264 otherosfs optional mkisofs_2.01+01a01-1_i386.deb
 b939145d010b34a83a00689d2a41187d 157562 sound optional cdda2wav_2.01+01a01-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Joerg Jaspert <joerg@debian.org> -- Debian Developer

iD8DBQFB4EsXcV7WoH57iskRAuWtAKCZ7g+gBz8KhlOCfrofNGGg+li7yQCfUnSF
MNHDdlh/iPEgllD41P/qY5s=
=x3t7
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:27:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.